Work Time - Defect #1199

Internal Error on WorkTime0.2.9 & PostgreSQL
03/03/2013 02:04 PM - Tomohisa Kusukawa
Category: Estimated time: 0.00 hour
Description

ActiveRecord::StatementInvalid (PG::Error: ERROR: [000000000: boolean <> integer
LINE 7: and ist.is_closed != 1)
HINT: (00000000O0C0OCOCCOODDDOOOOOOOCOOCOOCODDDDOOOOOGOO
oooao
SELECT "issues".* FROM "issues" INNER JOIN issue_statuses ist on ist.id = issues.status_id WHERE
(1 =1
and ((issues.author_id = 3
and issues.created_on >= '2013-03-03 00:00:00.000000"
and issues.created_on < '2013-03-04 00:00:00.000000")

or (issues.assigned_to_id = 3
and issues.start_date < '2013-03-04 00:00:00.000000"
and ist.is_closed != 1)
or (exists (select 1 from journals
where journals.journalized_id = issues.id
and journals.journalized_type = 'Issue'

and journals.user_id = 3

and journals.created_on >= '2013-03-03 00:00:00.000000"

and journals.created_on < '2013-03-04 00:00:00.000000")))
)) e

Associated revisions

Revision 250:84f27d80a7ff - 03/03/2013 02:13 PM - Tomohisa Kusukawa
fixes #1199 Internal Error on WorkTime0.2.9 & PostgreSQL

Revision 1cbc4861 - 03/03/2013 02:13 PM - Tomohisa Kusukawa
fixes #1199 Internal Error on WorkTime0.2.9 & PostgreSQL

History

#1 - 03/03/2013 02:21 PM - Tomohisa Kusukawa
- Status changed from 000 Assignedl to 0100 Resolved]
- % Done changed from 0 to 100

0000 commit:84f27d80a7it 000000000

#2 - 03/03/2013 02:34 PM - Tomohisa Kusukawa
- Status changed from 100 Resolved] to 11 Closed]

commit:84f27d80a7ff [0 PostgresQLUNNNNNO0000000000000O00DO00DOD

04/24/2019 1/1



http://www.tcpdf.org

